weblatency.d(1m)

NAME
weblatency.d - website latency statistics. Uses DTrace.

SYNOPSIS
weblatency.d

DESCRIPTION
This prints statistics for hostnames that browers have set GET requests for, in particular latency by hostname. The latency measured is from the browser sending the GET request to when the browser begins to recieve the response. It is an overall response time for the client, and encompasses connection speed delays, DNS lookups, proxy delays, and web server response time. This is written as an experimental tool, and may not work at all with your browser. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - depends on browser implementation.

EXAMPLES

Print report after Ctrl-C is hit,
    # weblatency.d

FIELDS

HOST
    hostname from URL

NUM number of GETs

AVGTIME(ms)
    Average time for response, ms

MAXTIME(ms)
    Maximum time for response, ms

NOTES
See the source code for the "BROWSER" variable, which sets the browser to trace (currently set to "mozilla-bin").

IDEA
Bryan Cantrill (who wrote an elegant version for Sol 10 update 1)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
weblatency.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)